#! /bin/sh

export GISBASE="/usr/local/grass-7.0.svn/"
export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

export LOCATION_NAME=bug_wrap
#export GISRC=
echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a projections/world_map/* $LOCATION_NAME/$MAPSET

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

v.proj map_grid location=lambert_pacific

# WARNING: Number of centroids exceeds number of areas: 900 > 840
# WARNING: Number of incorrect boundaries: 456
# WARNING: Number of centroids outside area: 60

d.mon start=png output=world.png
d.vect map_grid
d.mon stop=png

g.region w=162E e=162W n=30N s=30S
d.mon start=png
d.vect map_grid
d.mon stop=png
